Bug 63086

Summary: [EFL] DRT: Add DumpRenderTreeView, an ewk_view specialization for DRT
Product: WebKit Reporter: Raphael Kubo da Costa (:rakuco) <rakuco>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: leandro, tkent, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 62034    
Attachments:
Description Flags
Patch
none
New patch following Kent's suggestions none

Description Raphael Kubo da Costa (:rakuco) 2011-06-21 12:21:11 PDT
[EFL] DRT: Add DumpRenderTreeView, an ewk_view specialization for DRT
Comment 1 Raphael Kubo da Costa (:rakuco) 2011-06-21 12:21:41 PDT
Created attachment 98038 [details]
Patch
Comment 2 Kent Tamura 2011-06-23 02:27:47 PDT
Comment on attachment 98038 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=98038&action=review

> Tools/DumpRenderTree/efl/DumpRenderTreeView.cpp:38
> +static void onConsoleMessage(Ewk_View_Smart_Data* sd, const char* message, unsigned int lineNumber, const char* sourceID)

'sd' isn't a good name.
Also, we don't need to write argument names if they aren't used in the function body.

> Tools/DumpRenderTree/efl/DumpRenderTreeView.cpp:43
> +static void onJavaScriptAlert(Ewk_View_Smart_Data* sd, Evas_Object* frame, const char* message)

ditto.

> Tools/DumpRenderTree/efl/DumpRenderTreeView.cpp:48
> +static Eina_Bool onJavaScriptConfirm(Ewk_View_Smart_Data* sd, Evas_Object* frame, const char* message)

ditto.

> Tools/DumpRenderTree/efl/DumpRenderTreeView.cpp:54
> +static Eina_Bool onJavaScriptPrompt(Ewk_View_Smart_Data* sd, Evas_Object* frame, const char* message, const char* defaultValue, char** value)

ditto.

> Tools/DumpRenderTree/efl/DumpRenderTreeView.cpp:61
> +Evas_Object* drtViewTiledAdd(Evas* e)

'e' is not a good name.
Comment 3 Raphael Kubo da Costa (:rakuco) 2011-06-27 07:24:54 PDT
Created attachment 98720 [details]
New patch following Kent's suggestions
Comment 4 Raphael Kubo da Costa (:rakuco) 2011-06-27 07:25:44 PDT
CC'ing Kent after a new patch was added after his suggestions.
Comment 5 Kent Tamura 2011-06-27 07:30:55 PDT
Comment on attachment 98720 [details]
New patch following Kent's suggestions

Rubber-stamped by me.
Comment 6 WebKit Review Bot 2011-06-27 08:12:41 PDT
Comment on attachment 98720 [details]
New patch following Kent's suggestions

Clearing flags on attachment: 98720

Committed r89821: <http://trac.webkit.org/changeset/89821>
Comment 7 WebKit Review Bot 2011-06-27 08:12:46 PDT
All reviewed patches have been landed.  Closing bug.